## globus-libxml2 1.8

=== debian/changelog ===
globus-libxml2 (1.8-2) unstable; urgency=low

  * Converting to package format 3.0 (quilt)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Fri, 04 Jun 2010 04:43:30 +0200

globus-libxml2 (1.8-1) unstable; urgency=low

  * Initial release (Closes: #567257)

 -- Mattias Ellert <mattias.ellert@fysast.uu.se>  Mon, 25 Jan 2010 21:06:16 +0100
