=== debian/control ===
Source: globus-libxml2
Priority: optional
Maintainer: Mattias Ellert <mattias.ellert@fysast.uu.se>
Build-Depends: debhelper (>= 5), grid-packaging-tools, globus-core, libxml2-dev, pkg-config
Standards-Version: 3.8.4
Section: libs
DM-Upload-Allowed: yes
Vcs-Browser: http://svn.nordugrid.org/trac/packaging/browser/debian/globus-libxml2
Vcs-Svn: http://svn.nordugrid.org/repos/packaging/debian/globus-libxml2
Homepage: http://www.globus.org/

Package: libglobus-libxml2
Section: libs
Architecture: any
Depends: libxml2, ${misc:Depends}
Description: Globus Toolkit - LibXML2 Library
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-libxml2 package contains:
 LibXML2 Library (virtual GPT glue package)

Package: libglobus-libxml2-dev
Section: libdevel
Architecture: any
Depends: libglobus-libxml2 (= ${binary:Version}), libxml2-dev, ${misc:Depends}
Description: Globus Toolkit - LibXML2 Library Development Files
 The Globus Toolkit is an open source software toolkit used for
 building Grid systems and applications. It is being developed by the
 Globus Alliance and many others all over the world. A growing number
 of projects and companies are using the Globus Toolkit to unlock the
 potential of grids for their cause.
 .
 The libglobus-libxml2-dev package contains:
 LibXML2 Library Developmant Files (virtual GPT glue package)
