=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

name = globus-libxml2
_name = globus_libxml2
version = 1.8

INSTALLDIR = $(CURDIR)/debian/tmp
GLOBUSPACKAGEDIR = $(INSTALLDIR)$(_datadir)/globus/packages

_prefix = /usr
_bindir = $(_prefix)/bin
_sbindir = $(_prefix)/sbin
_libdir = $(_prefix)/lib
_datadir = $(_prefix)/share
_mandir = $(_datadir)/man
_docdir = $(_datadir)/doc

DEB_BUILD_ARCH_CPU ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_CPU)

ifneq (,$(filter $(DEB_HOST_ARCH_CPU), amd64 alpha ia64 s390x ppc64 sparc64))
flavor = gcc64pthr
else
flavor = gcc32pthr
endif

configure: configure-stamp
	:

configure-stamp:
	dh_testdir

	touch $@

build: build-stamp
	:

build-stamp: configure-stamp
	dh_testdir

	LIBXML2_VERSION=`pkg-config libxml-2.0 --modversion` && \
	LIBXML2_INCLUDES=`pkg-config libxml-2.0 --cflags` && \
	LIBXML2_LIBS=`pkg-config libxml-2.0 --libs` && \
	sed -e "s!@LIBXML2_VERSION@!$$LIBXML2_VERSION!g" \
	    -e "s!@LIBXML2_INCLUDES@!$$LIBXML2_INCLUDES!g" \
	    -e "s!@LIBXML2_LIBS@!$$LIBXML2_LIBS!g" \
	    < debian/$(name)-pkg_data_src.gpt.in > pkg_data_src.gpt

	echo /share/globus/packages/$(_name)/$(flavor)_rtl.filelist > \
	  $(flavor)_rtl.filelist
	echo /share/globus/packages/$(_name)/pkg_data_$(flavor)_rtl.gpt >> \
	  $(flavor)_rtl.filelist

	echo /share/globus/packages/$(_name)/$(flavor)_dev.filelist > \
	  $(flavor)_dev.filelist
	echo /share/globus/packages/$(_name)/pkg_data_$(flavor)_dev.gpt >> \
	  $(flavor)_dev.filelist

	/usr/sbin/gpt_generate_bin_pkg_data --flavor=$(flavor) pkg_data_src.gpt

	touch $@

clean: cleanup
	:

cleanup:
	dh_testdir
	dh_testroot

	rm -f *.filelist
	rm -f *.gpt

	rm -f build-stamp configure-stamp

	dh_clean debian/*.install

install: build-stamp
	dh_testdir
	dh_testroot
	dh_clean -k

	mkdir -p $(GLOBUSPACKAGEDIR)/$(_name)

	install -m 644 pkg_data_$(flavor)_rtl.gpt $(flavor)_rtl.filelist \
	  $(GLOBUSPACKAGEDIR)/$(_name)
	install -m 644 pkg_data_$(flavor)_dev.gpt $(flavor)_dev.filelist \
	  $(GLOBUSPACKAGEDIR)/$(_name)

	mkdir -p $(INSTALLDIR)$(_libdir)/pkgconfig
	/usr/share/globus/globus-gpt2pkg-config pkg_data_$(flavor)_dev.gpt | \
	  sed -e 's/Requires:.*/Requires: libxml2/' \
	      -e 's/Cflags:.*/Cflags:/' \
	      -e 's/Libs:.*/Libs:/' > \
	  $(INSTALLDIR)$(_libdir)/pkgconfig/$(name).pc

	# Generate package filelists
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_rtl.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name).install
	cat $(GLOBUSPACKAGEDIR)/$(_name)/$(flavor)_dev.filelist \
	  | sed s!^!debian/tmp$(_prefix)! > debian/lib$(name)-dev.install

	echo debian/tmp$(_libdir)/pkgconfig/$(name).pc \
	  >> debian/lib$(name)-dev.install

binary-indep:
	:

binary-arch: install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install --fail-missing
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_perl
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
	:

# The package comes with all that is needed
get-orig-source:
	:

.PHONY: build clean binary-indep binary-arch binary install configure get-orig-source
